> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Best bid or ask price for a position



## OpenAPI

````yaml /api/openapi.json get /v1/polymarket/price
openapi: 3.1.0
info:
  title: Radion REST API
  description: Official REST API for Radion prediction market intelligence layer.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.radion.app
    description: Production
security:
  - {}
  - ApiKey: []
tags:
  - name: Health
    description: Check whether the REST API is up and running.
  - name: Authentication
    description: Inspect the currently authenticated API key.
  - name: Events
    description: Events metadata.
  - name: Markets
    description: Markets metadata.
  - name: Orderbook
    description: CLOB orderbook midpoint passthrough.
  - name: Search
    description: Fuzzy search across markets, topics, and profiles.
  - name: Stats
    description: Public platform stats and indexer backfill progress.
paths:
  /v1/polymarket/price:
    get:
      tags:
        - Orderbook
      summary: Best bid or ask price for a position
      operationId: get_price
      parameters:
        - name: token_id
          in: query
          required: true
          schema:
            type: string
        - name: side
          in: query
          required: true
          schema:
            $ref: a81a47c2-d21d-40a9-b9e6-6e359b036218
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Price'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '429':
          $ref: '#/components/responses/TooManyRequestsResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    Price:
      type: object
      required:
        - tokenId
        - price
      properties:
        price:
          type: number
          format: double
        tokenId:
          type: string
    ErrorResponse:
      type: object
      required:
        - type
        - status
        - title
        - detail
        - requestId
      properties:
        detail:
          type: string
          example: Resource not found
        requestId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        status:
          type: integer
          format: int32
          example: 404
          minimum: 0
        title:
          type: string
          example: Not Found
        type:
          type: string
          example: about:blank
  responses:
    BadRequestResponse:
      description: Invalid request parameters.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid query parameters
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 400
            title: Bad Request
            type: about:blank
    UnauthorizedResponse:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid API key
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 401
            title: Unauthorized
            type: about:blank
    TooManyRequestsResponse:
      description: Rate limit exceeded.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Rate limit exceeded
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 429
            title: Too Many Requests
            type: about:blank
    InternalServerErrorResponse:
      description: Unexpected server error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Unexpected error
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 500
            title: Internal Server Error
            type: about:blank
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````